package aipo.webservice.soap.axis2.bean;

/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2011 Aimluck,Inc.
 * http://www.aipo.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * <HR>
 * Outlookのアドレス情報格納用Bean
 * <p>
 * 
 * Outlookのアドレス情報格納用Beanクラス
 * <P>
 * <HR>
 * <P>
 * 
 */
public class OutlookAddressBookBean {

  /** 表題 */
  private String fullName;

  /** 姓 */
  private String lastName;

  /** 名 */
  private String firstName;

  /** 姓カナ */
  private String yomiLastName;

  /** 名カナ */
  private String yomiFirstName;

  /** 電子メール */
  private String email1Address;

  /** 会社電話 */
  private String businessTelephoneNumber;

  /** 携帯電話 */
  private String mobileTelephoneNumber;

  /** 電子メール2 */
  private String email2Address;

  /** 会社 */
  private String companyName;

  /** 役職 */
  private String jobTitle;

  /** 作成日時 */
  private String creationTime;

  /** 更新日時 */
  private String lastModificationTime;

  /** 会社FAX */
  private String businessFaxNumber;

  /** 部署 */
  private String department;

  /** 会社国/地域 */
  private String businessAddressCountry;

  /** 会社郵便番号 */
  private String businessAddressPostalCode;

  /** 会社都道府県 */
  private String businessAddressState;

  /** 会社市区町村 */
  private String businessAddressCity;

  /** 会社番地 */
  private String businessAddressStreet;

  /**
   * 姓を取得します。
   * 
   * @return fullName
   */
  public String getFullName() {
    return fullName;
  }

  /**
   * 表題を設定します。
   * 
   * @param fullName
   *          セットする 表題
   */
  public void setFullName(String fullName) {
    this.fullName = fullName;
  }

  /**
   * 姓を取得します。
   * 
   * @return lastName
   */
  public String getLastName() {
    return lastName;
  }

  /**
   * 姓を設定します。
   * 
   * @param lastName
   *          セットする 姓
   */
  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  /**
   * 名を取得します。
   * 
   * @return firstName
   */
  public String getFirstName() {
    return firstName;
  }

  /**
   * 名を設定します。
   * 
   * @param firstName
   *          セットする 名
   */
  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  /**
   * 姓カナを取得します。
   * 
   * @return yomiLastName
   */
  public String getYomiLastName() {
    return yomiLastName;
  }

  /**
   * 姓カナを設定します。
   * 
   * @param yomiLastName
   *          セットする 姓カナ
   */
  public void setYomiLastName(String yomiLastName) {
    this.yomiLastName = yomiLastName;
  }

  /**
   * 名カナを取得します。
   * 
   * @return yomiFirstName
   */
  public String getYomiFirstName() {
    return yomiFirstName;
  }

  /**
   * 名カナを設定します。
   * 
   * @param yomiFirstName
   *          セットする 名カナ
   */
  public void setYomiFirstName(String yomiFirstName) {
    this.yomiFirstName = yomiFirstName;
  }

  /**
   * 電子メールを取得します。
   * 
   * @return email1Address
   */
  public String getEmail1Address() {
    return email1Address;
  }

  /**
   * 電子メールを設定します。
   * 
   * @param email1Address
   *          セットする 電子メール
   */
  public void setEmail1Address(String email1Address) {
    this.email1Address = email1Address;
  }

  /**
   * 会社電話を取得します。
   * 
   * @return businessTelephoneNumber
   */
  public String getBusinessTelephoneNumber() {
    return businessTelephoneNumber;
  }

  /**
   * 会社電話を設定します。
   * 
   * @param businessTelephoneNumber
   *          セットする 会社電話
   */
  public void setBusinessTelephoneNumber(String businessTelephoneNumber) {
    this.businessTelephoneNumber = businessTelephoneNumber;
  }

  /**
   * 携帯電話を取得します。
   * 
   * @return mobileTelephoneNumber
   */
  public String getMobileTelephoneNumber() {
    return mobileTelephoneNumber;
  }

  /**
   * 携帯電話を設定します。
   * 
   * @param mobileTelephoneNumber
   *          セットする 携帯電話
   */
  public void setMobileTelephoneNumber(String mobileTelephoneNumber) {
    this.mobileTelephoneNumber = mobileTelephoneNumber;
  }

  /**
   * 電子メール2を取得します。
   * 
   * @return email2Address
   */
  public String getEmail2Address() {
    return email2Address;
  }

  /**
   * 電子メール2を設定します。
   * 
   * @param email2Address
   *          セットする 電子メール2
   */
  public void setEmail2Address(String email2Address) {
    this.email2Address = email2Address;
  }

  /**
   * 会社を取得します。
   * 
   * @return companyName
   */
  public String getCompanyName() {
    return companyName;
  }

  /**
   * 会社を設定します。
   * 
   * @param companyName
   *          セットする 会社
   */
  public void setCompanyName(String companyName) {
    this.companyName = companyName;
  }

  /**
   * 役職を取得します。
   * 
   * @return jobTitle
   */
  public String getJobTitle() {
    return jobTitle;
  }

  /**
   * 役職を設定します。
   * 
   * @param jobTitle
   *          セットする 役職
   */
  public void setJobTitle(String jobTitle) {
    this.jobTitle = jobTitle;
  }

  /**
   * 作成日時を取得します。
   * 
   * @return creationTime
   */
  public String getCreationTime() {
    return creationTime;
  }

  /**
   * 作成日時を設定します。
   * 
   * @param creationTime
   *          セットする 作成日時
   */
  public void setCreationTime(String creationTime) {
    this.creationTime = creationTime;
  }

  /**
   * 更新日時を取得します。
   * 
   * @return lastModificationTime
   */
  public String getLastModificationTime() {
    return lastModificationTime;
  }

  /**
   * 更新日時を設定します。
   * 
   * @param lastModificationTime
   *          セットする 更新日時
   */
  public void setLastModificationTime(String lastModificationTime) {
    this.lastModificationTime = lastModificationTime;
  }

  /**
   * 会社FAXを取得します。
   * 
   * @return businessFaxNumber
   */
  public String getBusinessFaxNumber() {
    return businessFaxNumber;
  }

  /**
   * 会社FAXを設定します。
   * 
   * @param businessFaxNumber
   *          セットする 会社FAX
   */
  public void setBusinessFaxNumber(String businessFaxNumber) {
    this.businessFaxNumber = businessFaxNumber;
  }

  /**
   * 部署を取得します。
   * 
   * @return department
   */
  public String getDepartment() {
    return department;
  }

  /**
   * 部署を設定します。
   * 
   * @param department
   *          セットする 部署
   */
  public void setDepartment(String department) {
    this.department = department;
  }

  /**
   * 会社国/地域を取得します。
   * 
   * @return businessAddressCountry
   */
  public String getBusinessAddressCountry() {
    return businessAddressCountry;
  }

  /**
   * 会社国/地域を設定します。
   * 
   * @param businessAddressCountry
   *          セットする 会社国/地域
   */
  public void setBusinessAddressCountry(String businessAddressCountry) {
    this.businessAddressCountry = businessAddressCountry;
  }

  /**
   * 会社郵便番号を取得します。
   * 
   * @return businessAddressPostalCode
   */
  public String getBusinessAddressPostalCode() {
    return businessAddressPostalCode;
  }

  /**
   * 会社郵便番号を設定します。
   * 
   * @param businessAddressPostalCode
   *          セットする 会社郵便番号
   */
  public void setBusinessAddressPostalCode(String businessAddressPostalCode) {
    this.businessAddressPostalCode = businessAddressPostalCode;
  }

  /**
   * 会社都道府県を取得します。
   * 
   * @return businessAddressState
   */
  public String getBusinessAddressState() {
    return businessAddressState;
  }

  /**
   * 会社都道府県を設定します。
   * 
   * @param businessAddressState
   *          セットする 会社都道府県
   */
  public void setBusinessAddressState(String businessAddressState) {
    this.businessAddressState = businessAddressState;
  }

  /**
   * 会社市区町村を取得します。
   * 
   * @return businessAddressCity
   */
  public String getBusinessAddressCity() {
    return businessAddressCity;
  }

  /**
   * 会社市区町村を設定します。
   * 
   * @param businessAddressCity
   *          セットする 会社市区町村
   */
  public void setBusinessAddressCity(String businessAddressCity) {
    this.businessAddressCity = businessAddressCity;
  }

  /**
   * 会社番地を取得します。
   * 
   * @return businessAddressStreet
   */
  public String getBusinessAddressStreet() {
    return businessAddressStreet;
  }

  /**
   * 会社番地を設定します。
   * 
   * @param businessAddressStreet
   *          セットする 会社番地
   */
  public void setBusinessAddressStreet(String businessAddressStreet) {
    this.businessAddressStreet = businessAddressStreet;
  }

}
